RelayAPI

Test-parse a feed URL

Parse a feed URL and return the 5 most recent items.

POST
/v1/auto-post-rules/test-feed
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_*)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.relayapi.dev/v1/auto-post-rules/test-feed" \  -H "Content-Type: application/json" \  -d '{    "feed_url": "http://example.com"  }'
{
  "items": [
    {
      "title": "string",
      "url": "string",
      "description": "string",
      "published_at": "string",
      "image_url": "string"
    }
  ]
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": null,
      "property2": null
    }
  }
}

Found something wrong? Help us improve this page.

Submit an Issue
Requires a GitHub account.View repo